Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.jimi.core.util
Class LongColorModel

    java.lang.Object
      |
      +--java.awt.image.ColorModel
            |
            +--com.sun.jimi.core.util.LongColorModel

public abstract class LongColorModel
extends java.awt.image.ColorModel

Extended ColorModel for dealing with long-based values.

Fields inherited from class java.awt.image.ColorModel
`pixel_bits, transferType`

Constructor Summary
`LongColorModel()`

Method Summary
`abstract int` | `getAlpha(long val)`
`abstract int` | `getBlue(long val)`
`abstract int` | `getGreen(long val)`
`abstract int` | `getRed(long val)`
`abstract int` | `getRGB(long val)`

Methods inherited from class java.awt.image.ColorModel
`coerceData, createCompatibleSampleModel, createCompatibleWritableRaster, equals, finalize, getAlpha, getAlpha, getAlphaRaster, getBlue, getBlue, getColorSpace, getComponents, getComponents, getComponentSize, getComponentSize, getDataElement, getDataElements, getDataElements, getGreen, getGreen, getNormalizedComponents, getNumColorComponents, getNumComponents, getPixelSize, getRed, getRed, getRGB, getRGB, getRGBdefault, getTransparency, getUnnormalizedComponents, hasAlpha, isAlphaPremultiplied, isCompatibleRaster, isCompatibleSampleModel, toString`

Methods inherited from class java.lang.Object
`clone, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### LongColorModel

    public LongColorModel()

Method Detail

### getRed

    public abstract int getRed(long val)

### getGreen

    public abstract int getGreen(long val)

### getBlue

    public abstract int getBlue(long val)

### getAlpha

    public abstract int getAlpha(long val)

### getRGB

    public abstract int getRGB(long val)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD